<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/refs.basic.other.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'ja',
  ),
  'this' => 
  array (
    0 => 'book.yaml.php',
    1 => 'Yaml',
    2 => 'YAML によるデータのシリアライズ',
  ),
  'up' => 
  array (
    0 => 'refs.basic.other.php',
    1 => 'その他の基本モジュール',
  ),
  'prev' => 
  array (
    0 => 'v8jsexception.getjstrace.php',
    1 => 'V8JsException::getJsTrace',
  ),
  'next' => 
  array (
    0 => 'yaml.setup.php',
    1 => 'インストール/設定',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'ja',
    'path' => 'reference/yaml/book.xml',
  ),
  'history' => 
  array (
  ),
  'extra_header_links' => 
  array (
    'rel' => 'alternate',
    'href' => '/manual/en/feeds/book.yaml.atom',
    'type' => 'application/atom+xml',
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="book.yaml" class="book">
 
 <h1 class="title">YAML によるデータのシリアライズ</h1>
 

 
 <div id="intro.yaml" class="preface">
  <h1 class="title">はじめに</h1>
  <p class="para">
   この拡張モジュールは、データの標準的なシリアライズ方式である <a href="http://www.yaml.org/" class="link external">&raquo;&nbsp;YAML Ain&#039;t
   Markup Language (YAML)</a> を実装したものです。
   YAML のパースと出力には <a href="http://pyyaml.org/wiki/LibYAML" class="link external">&raquo;&nbsp;LibYAML
   ライブラリ</a> を用います。
  </p>
 </div>
 

 








 








 








 








 









<ul class="chunklist chunklist_book"><li><a href="yaml.setup.php">インストール/設定</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.requirements.php">要件</a></li><li><a href="yaml.installation.php">インストール手順</a></li><li><a href="yaml.configuration.php">実行時設定</a></li></ul></li><li><a href="yaml.constants.php">定義済み定数</a></li><li><a href="yaml.examples.php">例</a></li><li><a href="yaml.callbacks.php">コールバック</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.callbacks.parse.php">パースコールバック</a></li><li><a href="yaml.callbacks.emit.php">発行コールバック</a></li></ul></li><li><a href="ref.yaml.php">Yaml 関数</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="function.yaml-emit.php">yaml_emit</a> — YAML 形式にした値を返す</li><li><a href="function.yaml-emit-file.php">yaml_emit_file</a> — YAML 形式にした値をファイルに送る</li><li><a href="function.yaml-parse.php">yaml_parse</a> — YAML ストリームをパースする</li><li><a href="function.yaml-parse-file.php">yaml_parse_file</a> — ファイルからの YAML ストリームをパースする</li><li><a href="function.yaml-parse-url.php">yaml_parse_url</a> — URL からの YAML ストリームをパースする</li></ul></li></ul></div><?php manual_footer($setup); ?>